'Newland.CityTheme:SiteTrackingMixin.Matomo':
  abstract: true
  superTypes:
    'Newland.CityTheme:SiteTrackingMixin': true

  ui:
    inspector:
      groups:
        'matomo':
          tab: 'tracking'
          label: 'Matomo'
          icon: 'bar-chart'

  properties:
    'siteTrackingMatomoHost':
      type: string
      ui:
        label: 'Newland.CityTheme:NodeTypes.SiteTrackingMixin:properties.siteTrackingMatomoHost'
        help:
          message: 'Newland.CityTheme:NodeTypes.SiteTrackingMixin:properties.siteTrackingMatomoHost.help.message'
        inspector:
          group: 'matomo'
    'siteTrackingMatomoSiteId':
      type: string
      ui:
        label: 'Newland.CityTheme:NodeTypes.SiteTrackingMixin:properties.siteTrackingMatomoSiteId'
        help:
          message: 'Newland.CityTheme:NodeTypes.SiteTrackingMixin:properties.siteTrackingMatomoSiteId.help.message'
        inspector:
          group: 'matomo'
